<!DOCTYPE html>
<html lang="en-GB" xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Accessibility Scavenger Hunt</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <!--link rel="stylesheet" type="text/css" media="screen" href="../../css/verdemoderna.css" title="default" /-->
  <link rel="stylesheet" type="text/css" media="screen" href="scavenger-hunt-2023.css" title="default" />
  <script src="../../js/utilities.js"></script>
  <script src="scavenger-hunt-2023.js"></script>
  <meta name="robots" content="noindex, nofollow" />
</head>
<body>
  <div id="body-child">
    <header id="header">
      <h1><span class="h1txt">Accessibility Scavenger Hunt</span></h1>
    </header>

    <main id="main">
      <div id="instructions">
        <p>If you are used to clicking with a mouse instead of using the keyboard, then this will be a nice challenge for you.
          The mouse pointer has been disabled on this page, so you are forced to use the keyboard instead.
          You can use the <kbd>TAB</kbd> key to navigate to buttons that remove the blur, the colour inversion and the grayscale, and reveal the page's normal colours.
          However, there are some other elements on the page that you can navigate to and that have no effect, so you may not hit the actual buttons on your first try.
          <br />(Further description of challenge to be added. This challenge is not designed for touch screens.)
        </p>
      </div>

      <div class="blurry" id="blurry">
        <!--p class="blurry-test test">Blurry <a id="blurry-link" href="#blurry-link">link</a>.</p-->
        <div class="invert-colours" id="invert-colours">
          <!--p class="inverted-test test">Blurry and inverted <a id="inverted-link" href="#inverted-link">link</a>.</p-->
          <div class="grayscale" id="grayscale">
            <!--p class="grayscale-test test">Blurry and inverted and grayscale.</p-->

              <p>Once upon a time there was a mouse that got lost in a <a id="maze-here" href="#maze-here">maze</a>.
                Its vision was blurred, but it found a solution:
                <button class="button" id="unblur">Remove blur</button>
              </p>
              <p>Its <a id="colour-vision-here" href="#colour-vision-here">colour vision</a> was &hellip; unusual, but it found a solution:
                <button id="uninvert">Remove colour inversion</button>
              </p>
              <p>It could not see any <a id="colours-here" href="#colours-here">colours</a>, but that was also easily fixed:
                <button id="ungrayscale">Remove colour grayscale</button>
              </p>

          </div>
        </div>
      </div>

    </main>

    <footer id="footer">
      <p id="licence">
        <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../img/cc-licence-by-sa-88x31.png" /></a>
        <br />
        <span><a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a></span>
        by
        <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
        is licensed under a <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
      </p>
      <p>Short <abbr>URL</abbr>: <a href="https://tinyurl.com/scavenger-hunt-2023">https://tinyurl.com/scavenger-hunt-2023</a>.</p>
      <p><a href="../../sitemap.html">Site map</a>.</p>
      <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
    </footer>
  </div>
</body>
</html>